#pragma once

/* A macro to extract the major opcode from an instruction.  */
#define PPC_OP(i) (((i) >> 26) & 0x3f)

/* A macro to extract the extended opcode from an instruction.  */
#define PPC_XOP(i) (((i) >> 1) & 0x3ff)

#define PPC_OP_TDI 2
#define PPC_OP_TWI 3
#define PPC_OP_MULLI 7
#define PPC_OP_SUBFIC 8
#define PPC_OP_CMPLI 0xA
#define PPC_OP_CMPI 0xB
#define PPC_OP_ADDIC 0xC // addic
#define PPC_OP_ADDICR 0xD // addic.
#define PPC_OP_ADDI 0xE
#define PPC_OP_ADDIS 0xF
#define PPC_OP_BC 0x10
#define PPC_OP_SC 0x11
#define PPC_OP_B 0x12
#define PPC_OP_CTR 0x13

#define PPC_INST_ATTN 0
#define PPC_INST_TDLGTI 1
#define PPC_INST_TDLLTI 2
#define PPC_INST_TDEQI 3
#define PPC_INST_TDLGEI 4
#define PPC_INST_TDLNLI 5
#define PPC_INST_TDLLEI 6
#define PPC_INST_TDLNGI 7
#define PPC_INST_TDGTI 8
#define PPC_INST_TDGEI 9
#define PPC_INST_TDNLI 10
#define PPC_INST_TDLTI 11
#define PPC_INST_TDLEI 12
#define PPC_INST_TDNGI 13
#define PPC_INST_TDNEI 14
#define PPC_INST_TDI 15
#define PPC_INST_TWLGTI 16
#define PPC_INST_TLGTI 17
#define PPC_INST_TWLLTI 18
#define PPC_INST_TLLTI 19
#define PPC_INST_TWEQI 20
#define PPC_INST_TEQI 21
#define PPC_INST_TWLGEI 22
#define PPC_INST_TLGEI 23
#define PPC_INST_TWLNLI 24
#define PPC_INST_TLNLI 25
#define PPC_INST_TWLLEI 26
#define PPC_INST_TLLEI 27
#define PPC_INST_TWLNGI 28
#define PPC_INST_TLNGI 29
#define PPC_INST_TWGTI 30
#define PPC_INST_TGTI 31
#define PPC_INST_TWGEI 32
#define PPC_INST_TGEI 33
#define PPC_INST_TWNLI 34
#define PPC_INST_TNLI 35
#define PPC_INST_TWLTI 36
#define PPC_INST_TLTI 37
#define PPC_INST_TWLEI 38
#define PPC_INST_TLEI 39
#define PPC_INST_TWNGI 40
#define PPC_INST_TNGI 41
#define PPC_INST_TWNEI 42
#define PPC_INST_TNEI 43
#define PPC_INST_TWI 44
#define PPC_INST_TI 45
#define PPC_INST_MACCHW 46
#define PPC_INST_MACCHWO 47
#define PPC_INST_MACCHWS 48
#define PPC_INST_MACCHWSO 49
#define PPC_INST_MACCHWSU 50
#define PPC_INST_MACCHWSUO 51
#define PPC_INST_MACCHWU 52
#define PPC_INST_MACCHWUO 53
#define PPC_INST_MACHHW 54
#define PPC_INST_MACHHWO 55
#define PPC_INST_MACHHWS 56
#define PPC_INST_MACHHWSO 57
#define PPC_INST_MACHHWSU 58
#define PPC_INST_MACHHWSUO 59
#define PPC_INST_MACHHWU 60
#define PPC_INST_MACHHWUO 61
#define PPC_INST_MACLHW 62
#define PPC_INST_MACLHWO 63
#define PPC_INST_MACLHWS 64
#define PPC_INST_MACLHWSO 65
#define PPC_INST_MACLHWSU 66
#define PPC_INST_MACLHWSUO 67
#define PPC_INST_MACLHWU 68
#define PPC_INST_MACLHWUO 69
#define PPC_INST_MULCHW 70
#define PPC_INST_MULCHWU 71
#define PPC_INST_MULHHW 72
#define PPC_INST_MULHHWU 73
#define PPC_INST_MULLHW 74
#define PPC_INST_MULLHWU 75
#define PPC_INST_NMACCHW 76
#define PPC_INST_NMACCHWO 77
#define PPC_INST_NMACCHWS 78
#define PPC_INST_NMACCHWSO 79
#define PPC_INST_NMACHHW 80
#define PPC_INST_NMACHHWO 81
#define PPC_INST_NMACHHWS 82
#define PPC_INST_NMACHHWSO 83
#define PPC_INST_NMACLHW 84
#define PPC_INST_NMACLHWO 85
#define PPC_INST_NMACLHWS 86
#define PPC_INST_NMACLHWSO 87
#define PPC_INST_MFVSCR 88
#define PPC_INST_MTVSCR 89
#define PPC_INST_EFSCFD 90
#define PPC_INST_EFDABS 91
#define PPC_INST_EFDNABS 92
#define PPC_INST_EFDNEG 93
#define PPC_INST_EFDADD 94
#define PPC_INST_EFDSUB 95
#define PPC_INST_EFDMUL 96
#define PPC_INST_EFDDIV 97
#define PPC_INST_EFDCMPGT 98
#define PPC_INST_EFDCMPLT 99
#define PPC_INST_EFDCMPEQ 100
#define PPC_INST_EFDTSTGT 101
#define PPC_INST_EFDTSTLT 102
#define PPC_INST_EFDTSTEQ 103
#define PPC_INST_EFDCFSI 104
#define PPC_INST_EFDCFSID 105
#define PPC_INST_EFDCFUI 106
#define PPC_INST_EFDCFUID 107
#define PPC_INST_EFDCFSF 108
#define PPC_INST_EFDCFUF 109
#define PPC_INST_EFDCTSI 110
#define PPC_INST_EFDCTSIDZ 111
#define PPC_INST_EFDCTSIZ 112
#define PPC_INST_EFDCTUI 113
#define PPC_INST_EFDCTUIDZ 114
#define PPC_INST_EFDCTUIZ 115
#define PPC_INST_EFDCTSF 116
#define PPC_INST_EFDCTUF 117
#define PPC_INST_EFDCFS 118
#define PPC_INST_VADDCUW 119
#define PPC_INST_VADDFP 120
#define PPC_INST_VADDSBS 121
#define PPC_INST_VADDSHS 122
#define PPC_INST_VADDSWS 123
#define PPC_INST_VADDUBM 124
#define PPC_INST_VADDUBS 125
#define PPC_INST_VADDUHM 126
#define PPC_INST_VADDUHS 127
#define PPC_INST_VADDUWM 128
#define PPC_INST_VADDUWS 129
#define PPC_INST_VAND 130
#define PPC_INST_VANDC 131
#define PPC_INST_VAVGSB 132
#define PPC_INST_VAVGSH 133
#define PPC_INST_VAVGSW 134
#define PPC_INST_VAVGUB 135
#define PPC_INST_VAVGUH 136
#define PPC_INST_VAVGUW 137
#define PPC_INST_VCFSX 138
#define PPC_INST_VCFUX 139
#define PPC_INST_VCMPBFP 140
#define PPC_INST_VCMPEQFP 141
#define PPC_INST_VCMPEQUB 142
#define PPC_INST_VCMPEQUH 143
#define PPC_INST_VCMPEQUW 144
#define PPC_INST_VCMPGEFP 145
#define PPC_INST_VCMPGTFP 146
#define PPC_INST_VCMPGTSB 147
#define PPC_INST_VCMPGTSH 148
#define PPC_INST_VCMPGTSW 149
#define PPC_INST_VCMPGTUB 150
#define PPC_INST_VCMPGTUH 151
#define PPC_INST_VCMPGTUW 152
#define PPC_INST_VCTSXS 153
#define PPC_INST_VCTUXS 154
#define PPC_INST_VEXPTEFP 155
#define PPC_INST_VLOGEFP 156
#define PPC_INST_VMADDFP 157
#define PPC_INST_VMAXFP 158
#define PPC_INST_VMAXSB 159
#define PPC_INST_VMAXSH 160
#define PPC_INST_VMAXSW 161
#define PPC_INST_VMAXUB 162
#define PPC_INST_VMAXUH 163
#define PPC_INST_VMAXUW 164
#define PPC_INST_VMHADDSHS 165
#define PPC_INST_VMHRADDSHS 166
#define PPC_INST_VMINFP 167
#define PPC_INST_VMINSB 168
#define PPC_INST_VMINSH 169
#define PPC_INST_VMINSW 170
#define PPC_INST_VMINUB 171
#define PPC_INST_VMINUH 172
#define PPC_INST_VMINUW 173
#define PPC_INST_VMLADDUHM 174
#define PPC_INST_VMRGHB 175
#define PPC_INST_VMRGHH 176
#define PPC_INST_VMRGHW 177
#define PPC_INST_VMRGLB 178
#define PPC_INST_VMRGLH 179
#define PPC_INST_VMRGLW 180
#define PPC_INST_VMSUMMBM 181
#define PPC_INST_VMSUMSHM 182
#define PPC_INST_VMSUMSHS 183
#define PPC_INST_VMSUMUBM 184
#define PPC_INST_VMSUMUHM 185
#define PPC_INST_VMSUMUHS 186
#define PPC_INST_VMULESB 187
#define PPC_INST_VMULESH 188
#define PPC_INST_VMULEUB 189
#define PPC_INST_VMULEUH 190
#define PPC_INST_VMULOSB 191
#define PPC_INST_VMULOSH 192
#define PPC_INST_VMULOUB 193
#define PPC_INST_VMULOUH 194
#define PPC_INST_VNMSUBFP 195
#define PPC_INST_VNOR 196
#define PPC_INST_VOR 197
#define PPC_INST_VPERM 198
#define PPC_INST_VPKPX 199
#define PPC_INST_VPKSHSS 200
#define PPC_INST_VPKSHUS 201
#define PPC_INST_VPKSWSS 202
#define PPC_INST_VPKSWUS 203
#define PPC_INST_VPKUHUM 204
#define PPC_INST_VPKUHUS 205
#define PPC_INST_VPKUWUM 206
#define PPC_INST_VPKUWUS 207
#define PPC_INST_VREFP 208
#define PPC_INST_VRFIM 209
#define PPC_INST_VRFIN 210
#define PPC_INST_VRFIP 211
#define PPC_INST_VRFIZ 212
#define PPC_INST_VRLB 213
#define PPC_INST_VRLH 214
#define PPC_INST_VRLW 215
#define PPC_INST_VRSQRTEFP 216
#define PPC_INST_VSEL 217
#define PPC_INST_VSL 218
#define PPC_INST_VSLB 219
#define PPC_INST_VSLDOI 220
#define PPC_INST_VSLH 221
#define PPC_INST_VSLO 222
#define PPC_INST_VSLW 223
#define PPC_INST_VSPLTB 224
#define PPC_INST_VSPLTH 225
#define PPC_INST_VSPLTISB 226
#define PPC_INST_VSPLTISH 227
#define PPC_INST_VSPLTISW 228
#define PPC_INST_VSPLTW 229
#define PPC_INST_VSR 230
#define PPC_INST_VSRAB 231
#define PPC_INST_VSRAH 232
#define PPC_INST_VSRAW 233
#define PPC_INST_VSRB 234
#define PPC_INST_VSRH 235
#define PPC_INST_VSRO 236
#define PPC_INST_VSRW 237
#define PPC_INST_VSUBCUW 238
#define PPC_INST_VSUBFP 239
#define PPC_INST_VSUBSBS 240
#define PPC_INST_VSUBSHS 241
#define PPC_INST_VSUBSWS 242
#define PPC_INST_VSUBUBM 243
#define PPC_INST_VSUBUBS 244
#define PPC_INST_VSUBUHM 245
#define PPC_INST_VSUBUHS 246
#define PPC_INST_VSUBUWM 247
#define PPC_INST_VSUBUWS 248
#define PPC_INST_VSUMSWS 249
#define PPC_INST_VSUM2SWS 250
#define PPC_INST_VSUM4SBS 251
#define PPC_INST_VSUM4SHS 252
#define PPC_INST_VSUM4UBS 253
#define PPC_INST_VUPKHPX 254
#define PPC_INST_VUPKHSB 255
#define PPC_INST_VUPKHSH 256
#define PPC_INST_VUPKLPX 257
#define PPC_INST_VUPKLSB 258
#define PPC_INST_VUPKLSH 259
#define PPC_INST_VXOR 260
#define PPC_INST_EVADDW 261
#define PPC_INST_EVADDIW 262
#define PPC_INST_EVSUBFW 263
#define PPC_INST_EVSUBW 264
#define PPC_INST_EVSUBIFW 265
#define PPC_INST_EVSUBIW 266
#define PPC_INST_EVABS 267
#define PPC_INST_EVNEG 268
#define PPC_INST_EVEXTSB 269
#define PPC_INST_EVEXTSH 270
#define PPC_INST_EVRNDW 271
#define PPC_INST_EVCNTLZW 272
#define PPC_INST_EVCNTLSW 273
#define PPC_INST_BRINC 274
#define PPC_INST_EVAND 275
#define PPC_INST_EVANDC 276
#define PPC_INST_EVMR 277
#define PPC_INST_EVOR 278
#define PPC_INST_EVORC 279
#define PPC_INST_EVXOR 280
#define PPC_INST_EVEQV 281
#define PPC_INST_EVNAND 282
#define PPC_INST_EVNOT 283
#define PPC_INST_EVNOR 284
#define PPC_INST_EVRLW 285
#define PPC_INST_EVRLWI 286
#define PPC_INST_EVSLW 287
#define PPC_INST_EVSLWI 288
#define PPC_INST_EVSRWS 289
#define PPC_INST_EVSRWU 290
#define PPC_INST_EVSRWIS 291
#define PPC_INST_EVSRWIU 292
#define PPC_INST_EVSPLATI 293
#define PPC_INST_EVSPLATFI 294
#define PPC_INST_EVMERGEHI 295
#define PPC_INST_EVMERGELO 296
#define PPC_INST_EVMERGEHILO 297
#define PPC_INST_EVMERGELOHI 298
#define PPC_INST_EVCMPGTS 299
#define PPC_INST_EVCMPGTU 300
#define PPC_INST_EVCMPLTS 301
#define PPC_INST_EVCMPLTU 302
#define PPC_INST_EVCMPEQ 303
#define PPC_INST_EVSEL 304
#define PPC_INST_EVLDD 305
#define PPC_INST_EVLDDX 306
#define PPC_INST_EVLDW 307
#define PPC_INST_EVLDWX 308
#define PPC_INST_EVLDH 309
#define PPC_INST_EVLDHX 310
#define PPC_INST_EVLWHE 311
#define PPC_INST_EVLWHEX 312
#define PPC_INST_EVLWHOU 313
#define PPC_INST_EVLWHOUX 314
#define PPC_INST_EVLWHOS 315
#define PPC_INST_EVLWHOSX 316
#define PPC_INST_EVLWWSPLAT 317
#define PPC_INST_EVLWWSPLATX 318
#define PPC_INST_EVLWHSPLAT 319
#define PPC_INST_EVLWHSPLATX 320
#define PPC_INST_EVLHHESPLAT 321
#define PPC_INST_EVLHHESPLATX 322
#define PPC_INST_EVLHHOUSPLAT 323
#define PPC_INST_EVLHHOUSPLATX 324
#define PPC_INST_EVLHHOSSPLAT 325
#define PPC_INST_EVLHHOSSPLATX 326
#define PPC_INST_EVSTDD 327
#define PPC_INST_EVSTDDX 328
#define PPC_INST_EVSTDW 329
#define PPC_INST_EVSTDWX 330
#define PPC_INST_EVSTDH 331
#define PPC_INST_EVSTDHX 332
#define PPC_INST_EVSTWWE 333
#define PPC_INST_EVSTWWEX 334
#define PPC_INST_EVSTWWO 335
#define PPC_INST_EVSTWWOX 336
#define PPC_INST_EVSTWHE 337
#define PPC_INST_EVSTWHEX 338
#define PPC_INST_EVSTWHO 339
#define PPC_INST_EVSTWHOX 340
#define PPC_INST_EVFSABS 341
#define PPC_INST_EVFSNABS 342
#define PPC_INST_EVFSNEG 343
#define PPC_INST_EVFSADD 344
#define PPC_INST_EVFSSUB 345
#define PPC_INST_EVFSMUL 346
#define PPC_INST_EVFSDIV 347
#define PPC_INST_EVFSCMPGT 348
#define PPC_INST_EVFSCMPLT 349
#define PPC_INST_EVFSCMPEQ 350
#define PPC_INST_EVFSTSTGT 351
#define PPC_INST_EVFSTSTLT 352
#define PPC_INST_EVFSTSTEQ 353
#define PPC_INST_EVFSCFUI 354
#define PPC_INST_EVFSCTUIZ 355
#define PPC_INST_EVFSCFSI 356
#define PPC_INST_EVFSCFUF 357
#define PPC_INST_EVFSCFSF 358
#define PPC_INST_EVFSCTUI 359
#define PPC_INST_EVFSCTSI 360
#define PPC_INST_EVFSCTSIZ 361
#define PPC_INST_EVFSCTUF 362
#define PPC_INST_EVFSCTSF 363
#define PPC_INST_EFSABS 364
#define PPC_INST_EFSNABS 365
#define PPC_INST_EFSNEG 366
#define PPC_INST_EFSADD 367
#define PPC_INST_EFSSUB 368
#define PPC_INST_EFSMUL 369
#define PPC_INST_EFSDIV 370
#define PPC_INST_EFSCMPGT 371
#define PPC_INST_EFSCMPLT 372
#define PPC_INST_EFSCMPEQ 373
#define PPC_INST_EFSTSTGT 374
#define PPC_INST_EFSTSTLT 375
#define PPC_INST_EFSTSTEQ 376
#define PPC_INST_EFSCFUI 377
#define PPC_INST_EFSCTUIZ 378
#define PPC_INST_EFSCFSI 379
#define PPC_INST_EFSCFUF 380
#define PPC_INST_EFSCFSF 381
#define PPC_INST_EFSCTUI 382
#define PPC_INST_EFSCTSI 383
#define PPC_INST_EFSCTSIZ 384
#define PPC_INST_EFSCTUF 385
#define PPC_INST_EFSCTSF 386
#define PPC_INST_EVMHOSSF 387
#define PPC_INST_EVMHOSSFA 388
#define PPC_INST_EVMHOSMF 389
#define PPC_INST_EVMHOSMFA 390
#define PPC_INST_EVMHOSMI 391
#define PPC_INST_EVMHOSMIA 392
#define PPC_INST_EVMHOUMI 393
#define PPC_INST_EVMHOUMIA 394
#define PPC_INST_EVMHESSF 395
#define PPC_INST_EVMHESSFA 396
#define PPC_INST_EVMHESMF 397
#define PPC_INST_EVMHESMFA 398
#define PPC_INST_EVMHESMI 399
#define PPC_INST_EVMHESMIA 400
#define PPC_INST_EVMHEUMI 401
#define PPC_INST_EVMHEUMIA 402
#define PPC_INST_EVMHOSSFAAW 403
#define PPC_INST_EVMHOSSIAAW 404
#define PPC_INST_EVMHOSMFAAW 405
#define PPC_INST_EVMHOSMIAAW 406
#define PPC_INST_EVMHOUSIAAW 407
#define PPC_INST_EVMHOUMIAAW 408
#define PPC_INST_EVMHESSFAAW 409
#define PPC_INST_EVMHESSIAAW 410
#define PPC_INST_EVMHESMFAAW 411
#define PPC_INST_EVMHESMIAAW 412
#define PPC_INST_EVMHEUSIAAW 413
#define PPC_INST_EVMHEUMIAAW 414
#define PPC_INST_EVMHOSSFANW 415
#define PPC_INST_EVMHOSSIANW 416
#define PPC_INST_EVMHOSMFANW 417
#define PPC_INST_EVMHOSMIANW 418
#define PPC_INST_EVMHOUSIANW 419
#define PPC_INST_EVMHOUMIANW 420
#define PPC_INST_EVMHESSFANW 421
#define PPC_INST_EVMHESSIANW 422
#define PPC_INST_EVMHESMFANW 423
#define PPC_INST_EVMHESMIANW 424
#define PPC_INST_EVMHEUSIANW 425
#define PPC_INST_EVMHEUMIANW 426
#define PPC_INST_EVMHOGSMFAA 427
#define PPC_INST_EVMHOGSMIAA 428
#define PPC_INST_EVMHOGUMIAA 429
#define PPC_INST_EVMHEGSMFAA 430
#define PPC_INST_EVMHEGSMIAA 431
#define PPC_INST_EVMHEGUMIAA 432
#define PPC_INST_EVMHOGSMFAN 433
#define PPC_INST_EVMHOGSMIAN 434
#define PPC_INST_EVMHOGUMIAN 435
#define PPC_INST_EVMHEGSMFAN 436
#define PPC_INST_EVMHEGSMIAN 437
#define PPC_INST_EVMHEGUMIAN 438
#define PPC_INST_EVMWHSSF 439
#define PPC_INST_EVMWHSSFA 440
#define PPC_INST_EVMWHSMF 441
#define PPC_INST_EVMWHSMFA 442
#define PPC_INST_EVMWHSMI 443
#define PPC_INST_EVMWHSMIA 444
#define PPC_INST_EVMWHUMI 445
#define PPC_INST_EVMWHUMIA 446
#define PPC_INST_EVMWLUMI 447
#define PPC_INST_EVMWLUMIA 448
#define PPC_INST_EVMWLSSIAAW 449
#define PPC_INST_EVMWLSMIAAW 450
#define PPC_INST_EVMWLUSIAAW 451
#define PPC_INST_EVMWLUMIAAW 452
#define PPC_INST_EVMWLSSIANW 453
#define PPC_INST_EVMWLSMIANW 454
#define PPC_INST_EVMWLUSIANW 455
#define PPC_INST_EVMWLUMIANW 456
#define PPC_INST_EVMWSSF 457
#define PPC_INST_EVMWSSFA 458
#define PPC_INST_EVMWSMF 459
#define PPC_INST_EVMWSMFA 460
#define PPC_INST_EVMWSMI 461
#define PPC_INST_EVMWSMIA 462
#define PPC_INST_EVMWUMI 463
#define PPC_INST_EVMWUMIA 464
#define PPC_INST_EVMWSSFAA 465
#define PPC_INST_EVMWSMFAA 466
#define PPC_INST_EVMWSMIAA 467
#define PPC_INST_EVMWUMIAA 468
#define PPC_INST_EVMWSSFAN 469
#define PPC_INST_EVMWSMFAN 470
#define PPC_INST_EVMWSMIAN 471
#define PPC_INST_EVMWUMIAN 472
#define PPC_INST_EVADDSSIAAW 473
#define PPC_INST_EVADDSMIAAW 474
#define PPC_INST_EVADDUSIAAW 475
#define PPC_INST_EVADDUMIAAW 476
#define PPC_INST_EVSUBFSSIAAW 477
#define PPC_INST_EVSUBFSMIAAW 478
#define PPC_INST_EVSUBFUSIAAW 479
#define PPC_INST_EVSUBFUMIAAW 480
#define PPC_INST_EVMRA 481
#define PPC_INST_EVDIVWS 482
#define PPC_INST_EVDIVWU 483
#define PPC_INST_MULLI 484
#define PPC_INST_MULI 485
#define PPC_INST_SUBFIC 486
#define PPC_INST_SFI 487
#define PPC_INST_DOZI 488
#define PPC_INST_BCE 489
#define PPC_INST_BCEL 490
#define PPC_INST_BCEA 491
#define PPC_INST_BCELA 492
#define PPC_INST_CMPLWI 493
#define PPC_INST_CMPLDI 494
#define PPC_INST_CMPLI 495
#define PPC_INST_CMPWI 496
#define PPC_INST_CMPDI 497
#define PPC_INST_CMPI 498
#define PPC_INST_ADDIC 499
#define PPC_INST_AI 500
#define PPC_INST_SUBIC 501
#define PPC_INST_LI 502
#define PPC_INST_LIL 503
#define PPC_INST_ADDI 504
#define PPC_INST_CAL 505
#define PPC_INST_SUBI 506
#define PPC_INST_LA 507
#define PPC_INST_LIS 508
#define PPC_INST_LIU 509
#define PPC_INST_ADDIS 510
#define PPC_INST_CAU 511
#define PPC_INST_SUBIS 512
#define PPC_INST_BDNZ 513
#define PPC_INST_BDN 514
#define PPC_INST_BDNZL 515
#define PPC_INST_BDNL 516
#define PPC_INST_BDNZA 517
#define PPC_INST_BDNA 518
#define PPC_INST_BDNZLA 519
#define PPC_INST_BDNLA 520
#define PPC_INST_BDZ 521
#define PPC_INST_BDZL 522
#define PPC_INST_BDZA 523
#define PPC_INST_BDZLA 524
#define PPC_INST_BLT 525
#define PPC_INST_BLTL 526
#define PPC_INST_BLTA 527
#define PPC_INST_BLTLA 528
#define PPC_INST_BGT 529
#define PPC_INST_BGTL 530
#define PPC_INST_BGTA 531
#define PPC_INST_BGTLA 532
#define PPC_INST_BEQ 533
#define PPC_INST_BEQL 534
#define PPC_INST_BEQA 535
#define PPC_INST_BEQLA 536
#define PPC_INST_BSO 537
#define PPC_INST_BSOL 538
#define PPC_INST_BSOA 539
#define PPC_INST_BSOLA 540
#define PPC_INST_BUN 541
#define PPC_INST_BUNL 542
#define PPC_INST_BUNA 543
#define PPC_INST_BUNLA 544
#define PPC_INST_BGE 545
#define PPC_INST_BGEL 546
#define PPC_INST_BGEA 547
#define PPC_INST_BGELA 548
#define PPC_INST_BNL 549
#define PPC_INST_BNLL 550
#define PPC_INST_BNLA 551
#define PPC_INST_BNLLA 552
#define PPC_INST_BLE 553
#define PPC_INST_BLEL 554
#define PPC_INST_BLEA 555
#define PPC_INST_BLELA 556
#define PPC_INST_BNG 557
#define PPC_INST_BNGL 558
#define PPC_INST_BNGA 559
#define PPC_INST_BNGLA 560
#define PPC_INST_BNE 561
#define PPC_INST_BNEL 562
#define PPC_INST_BNEA 563
#define PPC_INST_BNELA 564
#define PPC_INST_BNS 565
#define PPC_INST_BNSL 566
#define PPC_INST_BNSA 567
#define PPC_INST_BNSLA 568
#define PPC_INST_BNU 569
#define PPC_INST_BNUL 570
#define PPC_INST_BNUA 571
#define PPC_INST_BNULA 572
#define PPC_INST_BDNZT 573
#define PPC_INST_BDNZTL 574
#define PPC_INST_BDNZTA 575
#define PPC_INST_BDNZTLA 576
#define PPC_INST_BDNZF 577
#define PPC_INST_BDNZFL 578
#define PPC_INST_BDNZFA 579
#define PPC_INST_BDNZFLA 580
#define PPC_INST_BT 581
#define PPC_INST_BBT 582
#define PPC_INST_BTL 583
#define PPC_INST_BBTL 584
#define PPC_INST_BTA 585
#define PPC_INST_BBTA 586
#define PPC_INST_BTLA 587
#define PPC_INST_BBTLA 588
#define PPC_INST_BF 589
#define PPC_INST_BBF 590
#define PPC_INST_BFL 591
#define PPC_INST_BBFL 592
#define PPC_INST_BFA 593
#define PPC_INST_BBFA 594
#define PPC_INST_BFLA 595
#define PPC_INST_BBFLA 596
#define PPC_INST_BDZT 597
#define PPC_INST_BDZTL 598
#define PPC_INST_BDZTA 599
#define PPC_INST_BDZTLA 600
#define PPC_INST_BDZF 601
#define PPC_INST_BDZFL 602
#define PPC_INST_BDZFA 603
#define PPC_INST_BDZFLA 604
#define PPC_INST_BC 605
#define PPC_INST_BCL 606
#define PPC_INST_BCA 607
#define PPC_INST_BCLA 608
#define PPC_INST_SC 609
#define PPC_INST_SVC 610
#define PPC_INST_SVCL 611
#define PPC_INST_SVCA 612
#define PPC_INST_SVCLA 613
#define PPC_INST_B 614
#define PPC_INST_BL 615
#define PPC_INST_BA 616
#define PPC_INST_BLA 617
#define PPC_INST_MCRF 618
#define PPC_INST_BLR 619
#define PPC_INST_BR 620
#define PPC_INST_BLRL 621
#define PPC_INST_BRL 622
#define PPC_INST_BDNZLR 623
#define PPC_INST_BDNZLRL 624
#define PPC_INST_BDZLR 625
#define PPC_INST_BDZLRL 626
#define PPC_INST_BLTLR 627
#define PPC_INST_BLTR 628
#define PPC_INST_BLTLRL 629
#define PPC_INST_BLTRL 630
#define PPC_INST_BGTLR 631
#define PPC_INST_BGTR 632
#define PPC_INST_BGTLRL 633
#define PPC_INST_BGTRL 634
#define PPC_INST_BEQLR 635
#define PPC_INST_BEQR 636
#define PPC_INST_BEQLRL 637
#define PPC_INST_BEQRL 638
#define PPC_INST_BSOLR 639
#define PPC_INST_BSOR 640
#define PPC_INST_BSOLRL 641
#define PPC_INST_BSORL 642
#define PPC_INST_BUNLR 643
#define PPC_INST_BUNLRL 644
#define PPC_INST_BGELR 645
#define PPC_INST_BGER 646
#define PPC_INST_BGELRL 647
#define PPC_INST_BGERL 648
#define PPC_INST_BNLLR 649
#define PPC_INST_BNLR 650
#define PPC_INST_BNLLRL 651
#define PPC_INST_BNLRL 652
#define PPC_INST_BLELR 653
#define PPC_INST_BLER 654
#define PPC_INST_BLELRL 655
#define PPC_INST_BLERL 656
#define PPC_INST_BNGLR 657
#define PPC_INST_BNGR 658
#define PPC_INST_BNGLRL 659
#define PPC_INST_BNGRL 660
#define PPC_INST_BNELR 661
#define PPC_INST_BNER 662
#define PPC_INST_BNELRL 663
#define PPC_INST_BNERL 664
#define PPC_INST_BNSLR 665
#define PPC_INST_BNSR 666
#define PPC_INST_BNSLRL 667
#define PPC_INST_BNSRL 668
#define PPC_INST_BNULR 669
#define PPC_INST_BNULRL 670
#define PPC_INST_BTLR 671
#define PPC_INST_BBTR 672
#define PPC_INST_BTLRL 673
#define PPC_INST_BBTRL 674
#define PPC_INST_BFLR 675
#define PPC_INST_BBFR 676
#define PPC_INST_BFLRL 677
#define PPC_INST_BBFRL 678
#define PPC_INST_BDNZTLR 679
#define PPC_INST_BDNZTLRL 680
#define PPC_INST_BDNZFLR 681
#define PPC_INST_BDNZFLRL 682
#define PPC_INST_BDZTLR 683
#define PPC_INST_BDZTLRL 684
#define PPC_INST_BDZFLR 685
#define PPC_INST_BDZFLRL 686
#define PPC_INST_BCLR 687
#define PPC_INST_BCLRL 688
#define PPC_INST_BCR 689
#define PPC_INST_BCRL 690
#define PPC_INST_BCLRE 691
#define PPC_INST_BCLREL 692
#define PPC_INST_RFID 693
#define PPC_INST_CRNOT 694
#define PPC_INST_CRNOR 695
#define PPC_INST_RFMCI 696
#define PPC_INST_RFI 697
#define PPC_INST_RFCI 698
#define PPC_INST_RFSVC 699
#define PPC_INST_CRANDC 700
#define PPC_INST_ISYNC 701
#define PPC_INST_ICS 702
#define PPC_INST_CRCLR 703
#define PPC_INST_CRXOR 704
#define PPC_INST_CRNAND 705
#define PPC_INST_CRAND 706
#define PPC_INST_HRFID 707
#define PPC_INST_CRSET 708
#define PPC_INST_CREQV 709
#define PPC_INST_DOZE 710
#define PPC_INST_CRORC 711
#define PPC_INST_NAP 712
#define PPC_INST_CRMOVE 713
#define PPC_INST_CROR 714
#define PPC_INST_SLEEP 715
#define PPC_INST_RVWINKLE 716
#define PPC_INST_BCTR 717
#define PPC_INST_BCTRL 718
#define PPC_INST_BLTCTR 719
#define PPC_INST_BLTCTRL 720
#define PPC_INST_BGTCTR 721
#define PPC_INST_BGTCTRL 722
#define PPC_INST_BEQCTR 723
#define PPC_INST_BEQCTRL 724
#define PPC_INST_BSOCTR 725
#define PPC_INST_BSOCTRL 726
#define PPC_INST_BUNCTR 727
#define PPC_INST_BUNCTRL 728
#define PPC_INST_BGECTR 729
#define PPC_INST_BGECTRL 730
#define PPC_INST_BNLCTR 731
#define PPC_INST_BNLCTRL 732
#define PPC_INST_BLECTR 733
#define PPC_INST_BLECTRL 734
#define PPC_INST_BNGCTR 735
#define PPC_INST_BNGCTRL 736
#define PPC_INST_BNECTR 737
#define PPC_INST_BNECTRL 738
#define PPC_INST_BNSCTR 739
#define PPC_INST_BNSCTRL 740
#define PPC_INST_BNUCTR 741
#define PPC_INST_BNUCTRL 742
#define PPC_INST_BTCTR 743
#define PPC_INST_BTCTRL 744
#define PPC_INST_BFCTR 745
#define PPC_INST_BFCTRL 746
#define PPC_INST_BCCTR 747
#define PPC_INST_BCCTRL 748
#define PPC_INST_BCC 749
#define PPC_INST_BCCL 750
#define PPC_INST_BCCTRE 751
#define PPC_INST_BCCTREL 752
#define PPC_INST_RLWIMI 753
#define PPC_INST_RLIMI 754
#define PPC_INST_ROTLWI 755
#define PPC_INST_CLRLWI 756
#define PPC_INST_RLWINM 757
#define PPC_INST_RLINM 758
#define PPC_INST_RLMI 759
#define PPC_INST_BE 760
#define PPC_INST_BEL 761
#define PPC_INST_BEA 762
#define PPC_INST_BELA 763
#define PPC_INST_ROTLW 764
#define PPC_INST_RLWNM 765
#define PPC_INST_RLNM 766
#define PPC_INST_NOP 767
#define PPC_INST_ORI 768
#define PPC_INST_ORIL 769
#define PPC_INST_ORIS 770
#define PPC_INST_ORIU 771
#define PPC_INST_XORI 772
#define PPC_INST_XORIL 773
#define PPC_INST_XORIS 774
#define PPC_INST_XORIU 775
#define PPC_INST_ANDI 776
#define PPC_INST_ANDIL 777
#define PPC_INST_ANDIS 778
#define PPC_INST_ANDIU 779
#define PPC_INST_ROTLDI 780
#define PPC_INST_CLRLDI 781
#define PPC_INST_RLDICL 782
#define PPC_INST_RLDICR 783
#define PPC_INST_RLDIC 784
#define PPC_INST_RLDIMI 785
#define PPC_INST_ROTLD 786
#define PPC_INST_RLDCL 787
#define PPC_INST_RLDCR 788
#define PPC_INST_CMPW 789
#define PPC_INST_CMPD 790
#define PPC_INST_CMP 791
#define PPC_INST_TWLGT 792
#define PPC_INST_TLGT 793
#define PPC_INST_TWLLT 794
#define PPC_INST_TLLT 795
#define PPC_INST_TWEQ 796
#define PPC_INST_TEQ 797
#define PPC_INST_TWLGE 798
#define PPC_INST_TLGE 799
#define PPC_INST_TWLNL 800
#define PPC_INST_TLNL 801
#define PPC_INST_TWLLE 802
#define PPC_INST_TLLE 803
#define PPC_INST_TWLNG 804
#define PPC_INST_TLNG 805
#define PPC_INST_TWGT 806
#define PPC_INST_TGT 807
#define PPC_INST_TWGE 808
#define PPC_INST_TGE 809
#define PPC_INST_TWNL 810
#define PPC_INST_TNL 811
#define PPC_INST_TWLT 812
#define PPC_INST_TLT 813
#define PPC_INST_TWLE 814
#define PPC_INST_TLE 815
#define PPC_INST_TWNG 816
#define PPC_INST_TNG 817
#define PPC_INST_TWNE 818
#define PPC_INST_TNE 819
#define PPC_INST_TRAP 820
#define PPC_INST_TW 821
#define PPC_INST_T 822
#define PPC_INST_SUBFC 823
#define PPC_INST_SF 824
#define PPC_INST_SUBC 825
#define PPC_INST_SUBFCO 826
#define PPC_INST_SFO 827
#define PPC_INST_SUBCO 828
#define PPC_INST_MULHDU 829
#define PPC_INST_ADDC 830
#define PPC_INST_A 831
#define PPC_INST_ADDCO 832
#define PPC_INST_AO 833
#define PPC_INST_MULHWU 834
#define PPC_INST_ISELLT 835
#define PPC_INST_ISELGT 836
#define PPC_INST_ISELEQ 837
#define PPC_INST_ISEL 838
#define PPC_INST_MFOCRF 839
#define PPC_INST_MFCR 840
#define PPC_INST_LWARX 841
#define PPC_INST_LDX 842
#define PPC_INST_ICBT 843
#define PPC_INST_LWZX 844
#define PPC_INST_LX 845
#define PPC_INST_SLW 846
#define PPC_INST_SL 847
#define PPC_INST_CNTLZW 848
#define PPC_INST_CNTLZ 849
#define PPC_INST_SLD 850
#define PPC_INST_AND 851
#define PPC_INST_MASKG 852
#define PPC_INST_ICBTE 853
#define PPC_INST_LWZXE 854
#define PPC_INST_CMPLW 855
#define PPC_INST_CMPLD 856
#define PPC_INST_CMPL 857
#define PPC_INST_SUBF 858
#define PPC_INST_SUB 859
#define PPC_INST_SUBFO 860
#define PPC_INST_SUBO 861
#define PPC_INST_LDUX 862
#define PPC_INST_DCBST 863
#define PPC_INST_LWZUX 864
#define PPC_INST_LUX 865
#define PPC_INST_DCBSTE 866
#define PPC_INST_LWZUXE 867
#define PPC_INST_CNTLZD 868
#define PPC_INST_ANDC 869
#define PPC_INST_TDLGT 870
#define PPC_INST_TDLLT 871
#define PPC_INST_TDEQ 872
#define PPC_INST_TDLGE 873
#define PPC_INST_TDLNL 874
#define PPC_INST_TDLLE 875
#define PPC_INST_TDLNG 876
#define PPC_INST_TDGT 877
#define PPC_INST_TDGE 878
#define PPC_INST_TDNL 879
#define PPC_INST_TDLT 880
#define PPC_INST_TDLE 881
#define PPC_INST_TDNG 882
#define PPC_INST_TDNE 883
#define PPC_INST_TD 884
#define PPC_INST_MULHD 885
#define PPC_INST_MULHW 886
#define PPC_INST_DLMZB 887
#define PPC_INST_MTSRD 888
#define PPC_INST_MFMSR 889
#define PPC_INST_LDARX 890
#define PPC_INST_DCBFL 891
#define PPC_INST_DCBF 892
#define PPC_INST_LBZX 893
#define PPC_INST_DCBFE 894
#define PPC_INST_LBZXE 895
#define PPC_INST_NEG 896
#define PPC_INST_NEGO 897
#define PPC_INST_MUL 898
#define PPC_INST_MULO 899
#define PPC_INST_MTSRDIN 900
#define PPC_INST_CLF 901
#define PPC_INST_LBZUX 902
#define PPC_INST_POPCNTB 903
#define PPC_INST_NOT 904
#define PPC_INST_NOR 905
#define PPC_INST_LWARXE 906
#define PPC_INST_LBZUXE 907
#define PPC_INST_WRTEE 908
#define PPC_INST_DCBTSTLS 909
#define PPC_INST_SUBFE 910
#define PPC_INST_SFE 911
#define PPC_INST_SUBFEO 912
#define PPC_INST_SFEO 913
#define PPC_INST_ADDE 914
#define PPC_INST_AE 915
#define PPC_INST_ADDEO 916
#define PPC_INST_AEO 917
#define PPC_INST_DCBTSTLSE 918
#define PPC_INST_MTOCRF 919
#define PPC_INST_MTCR 920
#define PPC_INST_MTCRF 921
#define PPC_INST_MTMSR 922
#define PPC_INST_STDX 923
#define PPC_INST_STWCX 924
#define PPC_INST_STWX 925
#define PPC_INST_STX 926
#define PPC_INST_STWCXE 927
#define PPC_INST_STWXE 928
#define PPC_INST_SLQ 929
#define PPC_INST_SLE 930
#define PPC_INST_PRTYW 931
#define PPC_INST_WRTEEI 932
#define PPC_INST_DCBTLS 933
#define PPC_INST_DCBTLSE 934
#define PPC_INST_MTMSRD 935
#define PPC_INST_STDUX 936
#define PPC_INST_STWUX 937
#define PPC_INST_STUX 938
#define PPC_INST_SLIQ 939
#define PPC_INST_PRTYD 940
#define PPC_INST_STWUXE 941
#define PPC_INST_SUBFZE 942
#define PPC_INST_SFZE 943
#define PPC_INST_SUBFZEO 944
#define PPC_INST_SFZEO 945
#define PPC_INST_ADDZE 946
#define PPC_INST_AZE 947
#define PPC_INST_ADDZEO 948
#define PPC_INST_AZEO 949
#define PPC_INST_MTSR 950
#define PPC_INST_STDCX 951
#define PPC_INST_STBX 952
#define PPC_INST_SLLQ 953
#define PPC_INST_SLEQ 954
#define PPC_INST_STBXE 955
#define PPC_INST_ICBLC 956
#define PPC_INST_SUBFME 957
#define PPC_INST_SFME 958
#define PPC_INST_SUBFMEO 959
#define PPC_INST_SFMEO 960
#define PPC_INST_MULLD 961
#define PPC_INST_MULLDO 962
#define PPC_INST_ADDME 963
#define PPC_INST_AME 964
#define PPC_INST_ADDMEO 965
#define PPC_INST_AMEO 966
#define PPC_INST_MULLW 967
#define PPC_INST_MULS 968
#define PPC_INST_MULLWO 969
#define PPC_INST_MULSO 970
#define PPC_INST_ICBLCE 971
#define PPC_INST_MTSRIN 972
#define PPC_INST_MTSRI 973
#define PPC_INST_DCBTST 974
#define PPC_INST_STBUX 975
#define PPC_INST_SLLIQ 976
#define PPC_INST_DCBTSTE 977
#define PPC_INST_STBUXE 978
#define PPC_INST_MFDCRX 979
#define PPC_INST_DOZ 980
#define PPC_INST_DOZO 981
#define PPC_INST_ADD 982
#define PPC_INST_CAX 983
#define PPC_INST_ADDO 984
#define PPC_INST_CAXO 985
#define PPC_INST_TLBIEL 986
#define PPC_INST_MFAPIDI 987
#define PPC_INST_LSCBX 988
#define PPC_INST_DCBT 989
#define PPC_INST_LHZX 990
#define PPC_INST_EQV 991
#define PPC_INST_DCBTE 992
#define PPC_INST_LHZXE 993
#define PPC_INST_TLBIE 994
#define PPC_INST_TLBI 995
#define PPC_INST_ECIWX 996
#define PPC_INST_LHZUX 997
#define PPC_INST_XOR 998
#define PPC_INST_LHZUXE 999
#define PPC_INST_MFEXISR 1000
#define PPC_INST_MFEXIER 1001
#define PPC_INST_MFBR0 1002
#define PPC_INST_MFBR1 1003
#define PPC_INST_MFBR2 1004
#define PPC_INST_MFBR3 1005
#define PPC_INST_MFBR4 1006
#define PPC_INST_MFBR5 1007
#define PPC_INST_MFBR6 1008
#define PPC_INST_MFBR7 1009
#define PPC_INST_MFBEAR 1010
#define PPC_INST_MFBESR 1011
#define PPC_INST_MFIOCR 1012
#define PPC_INST_MFDMACR0 1013
#define PPC_INST_MFDMACT0 1014
#define PPC_INST_MFDMADA0 1015
#define PPC_INST_MFDMASA0 1016
#define PPC_INST_MFDMACC0 1017
#define PPC_INST_MFDMACR1 1018
#define PPC_INST_MFDMACT1 1019
#define PPC_INST_MFDMADA1 1020
#define PPC_INST_MFDMASA1 1021
#define PPC_INST_MFDMACC1 1022
#define PPC_INST_MFDMACR2 1023
#define PPC_INST_MFDMACT2 1024
#define PPC_INST_MFDMADA2 1025
#define PPC_INST_MFDMASA2 1026
#define PPC_INST_MFDMACC2 1027
#define PPC_INST_MFDMACR3 1028
#define PPC_INST_MFDMACT3 1029
#define PPC_INST_MFDMADA3 1030
#define PPC_INST_MFDMASA3 1031
#define PPC_INST_MFDMACC3 1032
#define PPC_INST_MFDMASR 1033
#define PPC_INST_MFDCR 1034
#define PPC_INST_DIV 1035
#define PPC_INST_DIVO 1036
#define PPC_INST_MFPMR 1037
#define PPC_INST_MFMQ 1038
#define PPC_INST_MFXER 1039
#define PPC_INST_MFRTCU 1040
#define PPC_INST_MFRTCL 1041
#define PPC_INST_MFDEC 1042
#define PPC_INST_MFLR 1043
#define PPC_INST_MFCTR 1044
#define PPC_INST_MFTID 1045
#define PPC_INST_MFDSISR 1046
#define PPC_INST_MFDAR 1047
#define PPC_INST_MFSDR0 1048
#define PPC_INST_MFSDR1 1049
#define PPC_INST_MFSRR0 1050
#define PPC_INST_MFSRR1 1051
#define PPC_INST_MFCFAR 1052
#define PPC_INST_MFPID 1053
#define PPC_INST_MFCSRR0 1054
#define PPC_INST_MFCSRR1 1055
#define PPC_INST_MFDEAR 1056
#define PPC_INST_MFESR 1057
#define PPC_INST_MFIVPR 1058
#define PPC_INST_MFCMPA 1059
#define PPC_INST_MFCMPB 1060
#define PPC_INST_MFCMPC 1061
#define PPC_INST_MFCMPD 1062
#define PPC_INST_MFICR 1063
#define PPC_INST_MFDER 1064
#define PPC_INST_MFCOUNTA 1065
#define PPC_INST_MFCOUNTB 1066
#define PPC_INST_MFCMPE 1067
#define PPC_INST_MFCMPF 1068
#define PPC_INST_MFCMPG 1069
#define PPC_INST_MFCMPH 1070
#define PPC_INST_MFLCTRL1 1071
#define PPC_INST_MFLCTRL2 1072
#define PPC_INST_MFICTRL 1073
#define PPC_INST_MFBAR 1074
#define PPC_INST_MFVRSAVE 1075
#define PPC_INST_MFUSPRG0 1076
#define PPC_INST_MFTB 1077
#define PPC_INST_MFTBL 1078
#define PPC_INST_MFTBU 1079
#define PPC_INST_MFSPRG 1080
#define PPC_INST_MFSPRG0 1081
#define PPC_INST_MFSPRG1 1082
#define PPC_INST_MFSPRG2 1083
#define PPC_INST_MFSPRG3 1084
#define PPC_INST_MFSPRG4 1085
#define PPC_INST_MFSPRG5 1086
#define PPC_INST_MFSPRG6 1087
#define PPC_INST_MFSPRG7 1088
#define PPC_INST_MFASR 1089
#define PPC_INST_MFEAR 1090
#define PPC_INST_MFPIR 1091
#define PPC_INST_MFPVR 1092
#define PPC_INST_MFDBSR 1093
#define PPC_INST_MFDBCR0 1094
#define PPC_INST_MFDBCR1 1095
#define PPC_INST_MFDBCR2 1096
#define PPC_INST_MFIAC1 1097
#define PPC_INST_MFIAC2 1098
#define PPC_INST_MFIAC3 1099
#define PPC_INST_MFIAC4 1100
#define PPC_INST_MFDAC1 1101
#define PPC_INST_MFDAC2 1102
#define PPC_INST_MFDVC1 1103
#define PPC_INST_MFDVC2 1104
#define PPC_INST_MFTSR 1105
#define PPC_INST_MFTCR 1106
#define PPC_INST_MFIVOR0 1107
#define PPC_INST_MFIVOR1 1108
#define PPC_INST_MFIVOR2 1109
#define PPC_INST_MFIVOR3 1110
#define PPC_INST_MFIVOR4 1111
#define PPC_INST_MFIVOR5 1112
#define PPC_INST_MFIVOR6 1113
#define PPC_INST_MFIVOR7 1114
#define PPC_INST_MFIVOR8 1115
#define PPC_INST_MFIVOR9 1116
#define PPC_INST_MFIVOR10 1117
#define PPC_INST_MFIVOR11 1118
#define PPC_INST_MFIVOR12 1119
#define PPC_INST_MFIVOR13 1120
#define PPC_INST_MFIVOR14 1121
#define PPC_INST_MFIVOR15 1122
#define PPC_INST_MFSPEFSCR 1123
#define PPC_INST_MFBBEAR 1124
#define PPC_INST_MFBBTAR 1125
#define PPC_INST_MFIVOR32 1126
#define PPC_INST_MFIVOR33 1127
#define PPC_INST_MFIVOR34 1128
#define PPC_INST_MFIVOR35 1129
#define PPC_INST_MFIBATU 1130
#define PPC_INST_MFIBATL 1131
#define PPC_INST_MFDBATU 1132
#define PPC_INST_MFDBATL 1133
#define PPC_INST_MFIC_CST 1134
#define PPC_INST_MFIC_ADR 1135
#define PPC_INST_MFIC_DAT 1136
#define PPC_INST_MFDC_CST 1137
#define PPC_INST_MFDC_ADR 1138
#define PPC_INST_MFMCSRR0 1139
#define PPC_INST_MFDC_DAT 1140
#define PPC_INST_MFMCSRR1 1141
#define PPC_INST_MFMCSR 1142
#define PPC_INST_MFMCAR 1143
#define PPC_INST_MFDPDR 1144
#define PPC_INST_MFDPIR 1145
#define PPC_INST_MFIMMR 1146
#define PPC_INST_MFMI_CTR 1147
#define PPC_INST_MFMI_AP 1148
#define PPC_INST_MFMI_EPN 1149
#define PPC_INST_MFMI_TWC 1150
#define PPC_INST_MFMI_RPN 1151
#define PPC_INST_MFMD_CTR 1152
#define PPC_INST_MFM_CASID 1153
#define PPC_INST_MFMD_AP 1154
#define PPC_INST_MFMD_EPN 1155
#define PPC_INST_MFMD_TWB 1156
#define PPC_INST_MFMD_TWC 1157
#define PPC_INST_MFMD_RPN 1158
#define PPC_INST_MFM_TW 1159
#define PPC_INST_MFMI_DBCAM 1160
#define PPC_INST_MFMI_DBRAM0 1161
#define PPC_INST_MFMI_DBRAM1 1162
#define PPC_INST_MFMD_DBCAM 1163
#define PPC_INST_MFMD_DBRAM0 1164
#define PPC_INST_MFMD_DBRAM1 1165
#define PPC_INST_MFUMMCR0 1166
#define PPC_INST_MFUPMC1 1167
#define PPC_INST_MFUPMC2 1168
#define PPC_INST_MFUSIA 1169
#define PPC_INST_MFUMMCR1 1170
#define PPC_INST_MFUPMC3 1171
#define PPC_INST_MFUPMC4 1172
#define PPC_INST_MFZPR 1173
#define PPC_INST_MFCCR0 1174
#define PPC_INST_MFMMCR0 1175
#define PPC_INST_MFPMC1 1176
#define PPC_INST_MFSGR 1177
#define PPC_INST_MFPMC2 1178
#define PPC_INST_MFDCWR 1179
#define PPC_INST_MFSIA 1180
#define PPC_INST_MFSLER 1181
#define PPC_INST_MFMMCR1 1182
#define PPC_INST_MFSU0R 1183
#define PPC_INST_MFPMC3 1184
#define PPC_INST_MFPMC4 1185
#define PPC_INST_MFICDBDR 1186
#define PPC_INST_MFEVPR 1187
#define PPC_INST_MFCDBCR 1188
#define PPC_INST_MFPIT 1189
#define PPC_INST_MFTBHI 1190
#define PPC_INST_MFTBLO 1191
#define PPC_INST_MFSRR2 1192
#define PPC_INST_MFSRR3 1193
#define PPC_INST_MFL2CR 1194
#define PPC_INST_MFDCCR 1195
#define PPC_INST_MFICCR 1196
#define PPC_INST_MFICTC 1197
#define PPC_INST_MFPBL1 1198
#define PPC_INST_MFTHRM1 1199
#define PPC_INST_MFPBU1 1200
#define PPC_INST_MFTHRM2 1201
#define PPC_INST_MFPBL2 1202
#define PPC_INST_MFTHRM3 1203
#define PPC_INST_MFPBU2 1204
#define PPC_INST_MFSPR 1205
#define PPC_INST_LWAX 1206
#define PPC_INST_DST 1207
#define PPC_INST_DSTT 1208
#define PPC_INST_LHAX 1209
#define PPC_INST_LHAXE 1210
#define PPC_INST_DSTST 1211
#define PPC_INST_DSTSTT 1212
#define PPC_INST_DCCCI 1213
#define PPC_INST_ABS 1214
#define PPC_INST_ABSO 1215
#define PPC_INST_DIVS 1216
#define PPC_INST_DIVSO 1217
#define PPC_INST_TLBIA 1218
#define PPC_INST_LWAUX 1219
#define PPC_INST_LHAUX 1220
#define PPC_INST_LHAUXE 1221
#define PPC_INST_MTDCRX 1222
#define PPC_INST_DCBLC 1223
#define PPC_INST_SUBFE64 1224
#define PPC_INST_SUBFE64O 1225
#define PPC_INST_ADDE64 1226
#define PPC_INST_ADDE64O 1227
#define PPC_INST_DCBLCE 1228
#define PPC_INST_SLBMTE 1229
#define PPC_INST_STHX 1230
#define PPC_INST_CMPB 1231
#define PPC_INST_LFQX 1232
#define PPC_INST_LFDPX 1233
#define PPC_INST_LFQUX 1234
#define PPC_INST_STFQX 1235
#define PPC_INST_STFDPX 1236
#define PPC_INST_STFQUX 1237
#define PPC_INST_ORC 1238
#define PPC_INST_SRADI 1239
#define PPC_INST_STHXE 1240
#define PPC_INST_SLBIE 1241
#define PPC_INST_ECOWX 1242
#define PPC_INST_STHUX 1243
#define PPC_INST_STHUXE 1244
#define PPC_INST_CCTPL 1245
#define PPC_INST_CCTPM 1246
#define PPC_INST_CCTPH 1247
#define PPC_INST_DB8CYC 1248
#define PPC_INST_DB10CYC 1249
#define PPC_INST_DB12CYC 1250
#define PPC_INST_DB16CYC 1251
#define PPC_INST_MR 1252
#define PPC_INST_OR 1253
#define PPC_INST_MTEXISR 1254
#define PPC_INST_MTEXIER 1255
#define PPC_INST_MTBR0 1256
#define PPC_INST_MTBR1 1257
#define PPC_INST_MTBR2 1258
#define PPC_INST_MTBR3 1259
#define PPC_INST_MTBR4 1260
#define PPC_INST_MTBR5 1261
#define PPC_INST_MTBR6 1262
#define PPC_INST_MTBR7 1263
#define PPC_INST_MTBEAR 1264
#define PPC_INST_MTBESR 1265
#define PPC_INST_MTIOCR 1266
#define PPC_INST_MTDMACR0 1267
#define PPC_INST_MTDMACT0 1268
#define PPC_INST_MTDMADA0 1269
#define PPC_INST_MTDMASA0 1270
#define PPC_INST_MTDMACC0 1271
#define PPC_INST_MTDMACR1 1272
#define PPC_INST_MTDMACT1 1273
#define PPC_INST_MTDMADA1 1274
#define PPC_INST_MTDMASA1 1275
#define PPC_INST_MTDMACC1 1276
#define PPC_INST_MTDMACR2 1277
#define PPC_INST_MTDMACT2 1278
#define PPC_INST_MTDMADA2 1279
#define PPC_INST_MTDMASA2 1280
#define PPC_INST_MTDMACC2 1281
#define PPC_INST_MTDMACR3 1282
#define PPC_INST_MTDMACT3 1283
#define PPC_INST_MTDMADA3 1284
#define PPC_INST_MTDMASA3 1285
#define PPC_INST_MTDMACC3 1286
#define PPC_INST_MTDMASR 1287
#define PPC_INST_MTDCR 1288
#define PPC_INST_SUBFZE64 1289
#define PPC_INST_SUBFZE64O 1290
#define PPC_INST_DIVDU 1291
#define PPC_INST_DIVDUO 1292
#define PPC_INST_ADDZE64 1293
#define PPC_INST_ADDZE64O 1294
#define PPC_INST_DIVWU 1295
#define PPC_INST_DIVWUO 1296
#define PPC_INST_MTMQ 1297
#define PPC_INST_MTXER 1298
#define PPC_INST_MTLR 1299
#define PPC_INST_MTCTR 1300
#define PPC_INST_MTTID 1301
#define PPC_INST_MTDSISR 1302
#define PPC_INST_MTDAR 1303
#define PPC_INST_MTRTCU 1304
#define PPC_INST_MTRTCL 1305
#define PPC_INST_MTDEC 1306
#define PPC_INST_MTSDR0 1307
#define PPC_INST_MTSDR1 1308
#define PPC_INST_MTSRR0 1309
#define PPC_INST_MTSRR1 1310
#define PPC_INST_MTCFAR 1311
#define PPC_INST_MTPID 1312
#define PPC_INST_MTDECAR 1313
#define PPC_INST_MTCSRR0 1314
#define PPC_INST_MTCSRR1 1315
#define PPC_INST_MTDEAR 1316
#define PPC_INST_MTESR 1317
#define PPC_INST_MTIVPR 1318
#define PPC_INST_MTCMPA 1319
#define PPC_INST_MTCMPB 1320
#define PPC_INST_MTCMPC 1321
#define PPC_INST_MTCMPD 1322
#define PPC_INST_MTICR 1323
#define PPC_INST_MTDER 1324
#define PPC_INST_MTCOUNTA 1325
#define PPC_INST_MTCOUNTB 1326
#define PPC_INST_MTCMPE 1327
#define PPC_INST_MTCMPF 1328
#define PPC_INST_MTCMPG 1329
#define PPC_INST_MTCMPH 1330
#define PPC_INST_MTLCTRL1 1331
#define PPC_INST_MTLCTRL2 1332
#define PPC_INST_MTICTRL 1333
#define PPC_INST_MTBAR 1334
#define PPC_INST_MTVRSAVE 1335
#define PPC_INST_MTUSPRG0 1336
#define PPC_INST_MTSPRG 1337
#define PPC_INST_MTSPRG0 1338
#define PPC_INST_MTSPRG1 1339
#define PPC_INST_MTSPRG2 1340
#define PPC_INST_MTSPRG3 1341
#define PPC_INST_MTSPRG4 1342
#define PPC_INST_MTSPRG5 1343
#define PPC_INST_MTSPRG6 1344
#define PPC_INST_MTSPRG7 1345
#define PPC_INST_MTASR 1346
#define PPC_INST_MTEAR 1347
#define PPC_INST_MTTBL 1348
#define PPC_INST_MTTBU 1349
#define PPC_INST_MTDBSR 1350
#define PPC_INST_MTDBCR0 1351
#define PPC_INST_MTDBCR1 1352
#define PPC_INST_MTDBCR2 1353
#define PPC_INST_MTIAC1 1354
#define PPC_INST_MTIAC2 1355
#define PPC_INST_MTIAC3 1356
#define PPC_INST_MTIAC4 1357
#define PPC_INST_MTDAC1 1358
#define PPC_INST_MTDAC2 1359
#define PPC_INST_MTDVC1 1360
#define PPC_INST_MTDVC2 1361
#define PPC_INST_MTTSR 1362
#define PPC_INST_MTTCR 1363
#define PPC_INST_MTIVOR0 1364
#define PPC_INST_MTIVOR1 1365
#define PPC_INST_MTIVOR2 1366
#define PPC_INST_MTIVOR3 1367
#define PPC_INST_MTIVOR4 1368
#define PPC_INST_MTIVOR5 1369
#define PPC_INST_MTIVOR6 1370
#define PPC_INST_MTIVOR7 1371
#define PPC_INST_MTIVOR8 1372
#define PPC_INST_MTIVOR9 1373
#define PPC_INST_MTIVOR10 1374
#define PPC_INST_MTIVOR11 1375
#define PPC_INST_MTIVOR12 1376
#define PPC_INST_MTIVOR13 1377
#define PPC_INST_MTIVOR14 1378
#define PPC_INST_MTIVOR15 1379
#define PPC_INST_MTSPEFSCR 1380
#define PPC_INST_MTBBEAR 1381
#define PPC_INST_MTBBTAR 1382
#define PPC_INST_MTIVOR32 1383
#define PPC_INST_MTIVOR33 1384
#define PPC_INST_MTIVOR34 1385
#define PPC_INST_MTIVOR35 1386
#define PPC_INST_MTIBATU 1387
#define PPC_INST_MTIBATL 1388
#define PPC_INST_MTDBATU 1389
#define PPC_INST_MTDBATL 1390
#define PPC_INST_MTMCSRR0 1391
#define PPC_INST_MTMCSRR1 1392
#define PPC_INST_MTMCSR 1393
#define PPC_INST_MTUMMCR0 1394
#define PPC_INST_MTUPMC1 1395
#define PPC_INST_MTUPMC2 1396
#define PPC_INST_MTUSIA 1397
#define PPC_INST_MTUMMCR1 1398
#define PPC_INST_MTUPMC3 1399
#define PPC_INST_MTUPMC4 1400
#define PPC_INST_MTZPR 1401
#define PPC_INST_MTCCR0 1402
#define PPC_INST_MTMMCR0 1403
#define PPC_INST_MTSGR 1404
#define PPC_INST_MTPMC1 1405
#define PPC_INST_MTDCWR 1406
#define PPC_INST_MTPMC2 1407
#define PPC_INST_MTSLER 1408
#define PPC_INST_MTSIA 1409
#define PPC_INST_MTSU0R 1410
#define PPC_INST_MTMMCR1 1411
#define PPC_INST_MTPMC3 1412
#define PPC_INST_MTPMC4 1413
#define PPC_INST_MTICDBDR 1414
#define PPC_INST_MTEVPR 1415
#define PPC_INST_MTCDBCR 1416
#define PPC_INST_MTPIT 1417
#define PPC_INST_MTTBHI 1418
#define PPC_INST_MTTBLO 1419
#define PPC_INST_MTSRR2 1420
#define PPC_INST_MTSRR3 1421
#define PPC_INST_MTL2CR 1422
#define PPC_INST_MTDCCR 1423
#define PPC_INST_MTICCR 1424
#define PPC_INST_MTICTC 1425
#define PPC_INST_MTPBL1 1426
#define PPC_INST_MTTHRM1 1427
#define PPC_INST_MTPBU1 1428
#define PPC_INST_MTTHRM2 1429
#define PPC_INST_MTPBL2 1430
#define PPC_INST_MTTHRM3 1431
#define PPC_INST_MTPBU2 1432
#define PPC_INST_MTSPR 1433
#define PPC_INST_DCBI 1434
#define PPC_INST_NAND 1435
#define PPC_INST_DCBIE 1436
#define PPC_INST_DCREAD 1437
#define PPC_INST_MTPMR 1438
#define PPC_INST_ICBTLS 1439
#define PPC_INST_NABS 1440
#define PPC_INST_SUBFME64 1441
#define PPC_INST_NABSO 1442
#define PPC_INST_SUBFME64O 1443
#define PPC_INST_DIVD 1444
#define PPC_INST_DIVDO 1445
#define PPC_INST_ADDME64 1446
#define PPC_INST_ADDME64O 1447
#define PPC_INST_DIVW 1448
#define PPC_INST_DIVWO 1449
#define PPC_INST_ICBTLSE 1450
#define PPC_INST_SLBIA 1451
#define PPC_INST_CLI 1452
#define PPC_INST_STDCXE 1453
#define PPC_INST_MCRXR 1454
#define PPC_INST_BBLELS 1455
#define PPC_INST_MCRXR64 1456
#define PPC_INST_CLCS 1457
#define PPC_INST_LDBRX 1458
#define PPC_INST_LSWX 1459
#define PPC_INST_LSX 1460
#define PPC_INST_LWBRX 1461
#define PPC_INST_LBRX 1462
#define PPC_INST_LFSX 1463
#define PPC_INST_SRW 1464
#define PPC_INST_SR 1465
#define PPC_INST_RRIB 1466
#define PPC_INST_SRD 1467
#define PPC_INST_MASKIR 1468
#define PPC_INST_LWBRXE 1469
#define PPC_INST_LFSXE 1470
#define PPC_INST_BBELR 1471
#define PPC_INST_TLBSYNC 1472
#define PPC_INST_LFSUX 1473
#define PPC_INST_LFSUXE 1474
#define PPC_INST_MFSR 1475
#define PPC_INST_LSWI 1476
#define PPC_INST_LSI 1477
#define PPC_INST_LWSYNC 1478
#define PPC_INST_PTESYNC 1479
#define PPC_INST_MSYNC 1480
#define PPC_INST_SYNC 1481
#define PPC_INST_DCS 1482
#define PPC_INST_LFDX 1483
#define PPC_INST_LFDXE 1484
#define PPC_INST_MFFGPR 1485
#define PPC_INST_MFSRI 1486
#define PPC_INST_DCLST 1487
#define PPC_INST_LFDUX 1488
#define PPC_INST_LFDUXE 1489
#define PPC_INST_MFSRIN 1490
#define PPC_INST_STDBRX 1491
#define PPC_INST_STSWX 1492
#define PPC_INST_STSX 1493
#define PPC_INST_STWBRX 1494
#define PPC_INST_STBRX 1495
#define PPC_INST_STFSX 1496
#define PPC_INST_SRQ 1497
#define PPC_INST_SRE 1498
#define PPC_INST_STWBRXE 1499
#define PPC_INST_STFSXE 1500
#define PPC_INST_STFSUX 1501
#define PPC_INST_SRIQ 1502
#define PPC_INST_STFSUXE 1503
#define PPC_INST_STSWI 1504
#define PPC_INST_STSI 1505
#define PPC_INST_STFDX 1506
#define PPC_INST_SRLQ 1507
#define PPC_INST_SREQ 1508
#define PPC_INST_STFDXE 1509
#define PPC_INST_MFTGPR 1510
#define PPC_INST_DCBA 1511
#define PPC_INST_STFDUX 1512
#define PPC_INST_SRLIQ 1513
#define PPC_INST_DCBAE 1514
#define PPC_INST_STFDUXE 1515
#define PPC_INST_TLBIVAX 1516
#define PPC_INST_TLBIVAXE 1517
#define PPC_INST_LWZCIX 1518
#define PPC_INST_LHBRX 1519
#define PPC_INST_SRAW 1520
#define PPC_INST_SRA 1521
#define PPC_INST_SRAD 1522
#define PPC_INST_LHBRXE 1523
#define PPC_INST_LDXE 1524
#define PPC_INST_LDUXE 1525
#define PPC_INST_RAC 1526
#define PPC_INST_LHZCIX 1527
#define PPC_INST_DSS 1528
#define PPC_INST_DSSALL 1529
#define PPC_INST_SRAWI 1530
#define PPC_INST_SRAI 1531
#define PPC_INST_SLBMFEV 1532
#define PPC_INST_LBZCIX 1533
#define PPC_INST_MBAR 1534
#define PPC_INST_EIEIO 1535
#define PPC_INST_LFIWAX 1536
#define PPC_INST_LDCIX 1537
#define PPC_INST_TLBSX 1538
#define PPC_INST_TLBSXE 1539
#define PPC_INST_SLBMFEE 1540
#define PPC_INST_STWCIX 1541
#define PPC_INST_STHBRX 1542
#define PPC_INST_SRAQ 1543
#define PPC_INST_SREA 1544
#define PPC_INST_EXTSH 1545
#define PPC_INST_EXTS 1546
#define PPC_INST_STHBRXE 1547
#define PPC_INST_STDXE 1548
#define PPC_INST_TLBREHI 1549
#define PPC_INST_TLBRELO 1550
#define PPC_INST_TLBRE 1551
#define PPC_INST_STHCIX 1552
#define PPC_INST_SRAIQ 1553
#define PPC_INST_EXTSB 1554
#define PPC_INST_STDUXE 1555
#define PPC_INST_ICCCI 1556
#define PPC_INST_TLBWEHI 1557
#define PPC_INST_TLBWELO 1558
#define PPC_INST_TLBWE 1559
#define PPC_INST_TLBLD 1560
#define PPC_INST_STBCIX 1561
#define PPC_INST_ICBI 1562
#define PPC_INST_STFIWX 1563
#define PPC_INST_EXTSW 1564
#define PPC_INST_ICREAD 1565
#define PPC_INST_ICBIE 1566
#define PPC_INST_STFIWXE 1567
#define PPC_INST_TLBLI 1568
#define PPC_INST_STDCIX 1569
#define PPC_INST_DCBZL 1570
#define PPC_INST_DCBZ 1571
#define PPC_INST_DCLZ 1572
#define PPC_INST_DCBZE 1573
#define PPC_INST_LVEBX 1574
#define PPC_INST_LVEHX 1575
#define PPC_INST_LVEWX 1576
#define PPC_INST_LVSL 1577
#define PPC_INST_LVSR 1578
#define PPC_INST_LVX 1579
#define PPC_INST_LVXL 1580
#define PPC_INST_STVEBX 1581
#define PPC_INST_STVEHX 1582
#define PPC_INST_STVEWX 1583
#define PPC_INST_STVX 1584
#define PPC_INST_STVXL 1585
#define PPC_INST_LVLX 1586
#define PPC_INST_LVLXL 1587
#define PPC_INST_LVRX 1588
#define PPC_INST_LVRXL 1589
#define PPC_INST_STVLX 1590
#define PPC_INST_STVLXL 1591
#define PPC_INST_STVRX 1592
#define PPC_INST_STVRXL 1593
#define PPC_INST_LWZ 1594
#define PPC_INST_L 1595
#define PPC_INST_LWZU 1596
#define PPC_INST_LU 1597
#define PPC_INST_LBZ 1598
#define PPC_INST_LBZU 1599
#define PPC_INST_STW 1600
#define PPC_INST_ST 1601
#define PPC_INST_STWU 1602
#define PPC_INST_STU 1603
#define PPC_INST_STB 1604
#define PPC_INST_STBU 1605
#define PPC_INST_LHZ 1606
#define PPC_INST_LHZU 1607
#define PPC_INST_LHA 1608
#define PPC_INST_LHAU 1609
#define PPC_INST_STH 1610
#define PPC_INST_STHU 1611
#define PPC_INST_LMW 1612
#define PPC_INST_LM 1613
#define PPC_INST_STMW 1614
#define PPC_INST_STM 1615
#define PPC_INST_LFS 1616
#define PPC_INST_LFSU 1617
#define PPC_INST_LFD 1618
#define PPC_INST_LFDU 1619
#define PPC_INST_STFS 1620
#define PPC_INST_STFSU 1621
#define PPC_INST_STFD 1622
#define PPC_INST_STFDU 1623
#define PPC_INST_LQ 1624
#define PPC_INST_LFQ 1625
#define PPC_INST_LFQU 1626
#define PPC_INST_LFDP 1627
#define PPC_INST_LBZE 1628
#define PPC_INST_LBZUE 1629
#define PPC_INST_LHZE 1630
#define PPC_INST_LHZUE 1631
#define PPC_INST_LHAE 1632
#define PPC_INST_LHAUE 1633
#define PPC_INST_LWZE 1634
#define PPC_INST_LWZUE 1635
#define PPC_INST_STBE 1636
#define PPC_INST_STBUE 1637
#define PPC_INST_STHE 1638
#define PPC_INST_STHUE 1639
#define PPC_INST_STWE 1640
#define PPC_INST_STWUE 1641
#define PPC_INST_LD 1642
#define PPC_INST_LDU 1643
#define PPC_INST_LWA 1644
#define PPC_INST_DADD 1645
#define PPC_INST_DQUA 1646
#define PPC_INST_FDIVS 1647
#define PPC_INST_FSUBS 1648
#define PPC_INST_FADDS 1649
#define PPC_INST_FSQRTS 1650
#define PPC_INST_FRES 1651
#define PPC_INST_FMULS 1652
#define PPC_INST_FRSQRTES 1653
#define PPC_INST_FMSUBS 1654
#define PPC_INST_FMADDS 1655
#define PPC_INST_FNMSUBS 1656
#define PPC_INST_FNMADDS 1657
#define PPC_INST_DMUL 1658
#define PPC_INST_DRRND 1659
#define PPC_INST_DSCLI 1660
#define PPC_INST_DQUAI 1661
#define PPC_INST_DSCRI 1662
#define PPC_INST_DRINTX 1663
#define PPC_INST_DCMPO 1664
#define PPC_INST_DTSTEX 1665
#define PPC_INST_DTSTDC 1666
#define PPC_INST_DTSTDG 1667
#define PPC_INST_DRINTN 1668
#define PPC_INST_DCTDP 1669
#define PPC_INST_DCTFIX 1670
#define PPC_INST_DDEDPD 1671
#define PPC_INST_DXEX 1672
#define PPC_INST_DSUB 1673
#define PPC_INST_DDIV 1674
#define PPC_INST_DCMPU 1675
#define PPC_INST_DTSTSF 1676
#define PPC_INST_DRSP 1677
#define PPC_INST_DCFFIX 1678
#define PPC_INST_DENBCD 1679
#define PPC_INST_DIEX 1680
#define PPC_INST_STFQ 1681
#define PPC_INST_STFQU 1682
#define PPC_INST_STFDP 1683
#define PPC_INST_LDE 1684
#define PPC_INST_LDUE 1685
#define PPC_INST_LFSE 1686
#define PPC_INST_LFSUE 1687
#define PPC_INST_LFDE 1688
#define PPC_INST_LFDUE 1689
#define PPC_INST_STDE 1690
#define PPC_INST_STDUE 1691
#define PPC_INST_STFSE 1692
#define PPC_INST_STFSUE 1693
#define PPC_INST_STFDE 1694
#define PPC_INST_STFDUE 1695
#define PPC_INST_STD 1696
#define PPC_INST_STDU 1697
#define PPC_INST_STQ 1698
#define PPC_INST_FCMPU 1699
#define PPC_INST_DADDQ 1700
#define PPC_INST_DQUAQ 1701
#define PPC_INST_FCPSGN 1702
#define PPC_INST_FRSP 1703
#define PPC_INST_FCTIW 1704
#define PPC_INST_FCIR 1705
#define PPC_INST_FCTIWZ 1706
#define PPC_INST_FCIRZ 1707
#define PPC_INST_FDIV 1708
#define PPC_INST_FD 1709
#define PPC_INST_FSUB 1710
#define PPC_INST_FS 1711
#define PPC_INST_FADD 1712
#define PPC_INST_FA 1713
#define PPC_INST_FSQRT 1714
#define PPC_INST_FSEL 1715
#define PPC_INST_FRE 1716
#define PPC_INST_FMUL 1717
#define PPC_INST_FM 1718
#define PPC_INST_FRSQRTE 1719
#define PPC_INST_FMSUB 1720
#define PPC_INST_FMS 1721
#define PPC_INST_FMADD 1722
#define PPC_INST_FMA 1723
#define PPC_INST_FNMSUB 1724
#define PPC_INST_FNMS 1725
#define PPC_INST_FNMADD 1726
#define PPC_INST_FNMA 1727
#define PPC_INST_FCMPO 1728
#define PPC_INST_DMULQ 1729
#define PPC_INST_DRRNDQ 1730
#define PPC_INST_MTFSB1 1731
#define PPC_INST_FNEG 1732
#define PPC_INST_MCRFS 1733
#define PPC_INST_DSCLIQ 1734
#define PPC_INST_DQUAIQ 1735
#define PPC_INST_MTFSB0 1736
#define PPC_INST_FMR 1737
#define PPC_INST_DSCRIQ 1738
#define PPC_INST_DRINTXQ 1739
#define PPC_INST_DCMPOQ 1740
#define PPC_INST_MTFSFI 1741
#define PPC_INST_FNABS 1742
#define PPC_INST_DTSTEXQ 1743
#define PPC_INST_DTSTDCQ 1744
#define PPC_INST_DTSTDGQ 1745
#define PPC_INST_DRINTNQ 1746
#define PPC_INST_DCTQPQ 1747
#define PPC_INST_FABS 1748
#define PPC_INST_DCTFIXQ 1749
#define PPC_INST_DDEDPDQ 1750
#define PPC_INST_DXEXQ 1751
#define PPC_INST_FRIN 1752
#define PPC_INST_FRIZ 1753
#define PPC_INST_FRIP 1754
#define PPC_INST_FRIM 1755
#define PPC_INST_DSUBQ 1756
#define PPC_INST_DDIVQ 1757
#define PPC_INST_MFFS 1758
#define PPC_INST_DCMPUQ 1759
#define PPC_INST_DTSTSFQ 1760
#define PPC_INST_MTFSF 1761
#define PPC_INST_DRDPQ 1762
#define PPC_INST_DCFFIXQ 1763
#define PPC_INST_FCTID 1764
#define PPC_INST_FCTIDZ 1765
#define PPC_INST_DENBCDQ 1766
#define PPC_INST_FCFID 1767
#define PPC_INST_DIEXQ 1768
